Subject: [Arcing] lacking a reference for domain names... was Re: Fwd: New Version Notification for draft-stw-whatsinaname-00.txt

From: Edward Lewis <[email-masked]>
Date: Wed, 13 Jul 2016 13:25:47 +0000

Referring to the document that can be found here:
 https://www.ietf.org/internet-drafts/draft-stw-whatsinaname-00.txt

Differentiating the subject line for a new thread.

I first sent comments to Suzanne on this in another context, more related to how the document was described to me versus what I read.  This comment is not related to that (which was more a comment on the description and not the document.  It's complicated.)

My initial itch begins with something missing from this passage:

>   It's common for protocol designers in this predicament to attempt to
>   use domain names as the starting point for their systems of names,

What's missing is a reference for "domain names."  Again, this isn't a hit on the document at hand - the lack of a definitional document is a separate thing, but a necessary prerequisite for this document.  Without a documented definition of domain names, we continue to engage in hand waving.

I haven't had time to read the rest of the document and come up with worthwhile comments, which I will get (the time) after I begin traveling to the IETF venue.  (I did skim.)  I see that the document does talk about the DNS, policy, etc., which is helpful but still does not get to the heart of what is meant by domain names (beyond the DNS).  The draft at hand touches on the problem of the day (Special Use Domain Names registry).

What I have in mind is the experimenter, coding up an innovative use of the network and finds a necessary evil in having to name things.  The experimenter might try for re-use of other code by selecting names with dots in them.  At that point, the experimenter might need a guide to see if the names fit a/the naming model of domain names and from that see if there is more to leverage.

I'm not sure the draft at hand (the framework at hand) covers that use case - "not sure" meaning I haven't had the time to dutifully read carefully and write up a reasonable response (as I've already said).